> ## Documentation Index
> Fetch the complete documentation index at: https://developer.copper.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Currency Trading Fees for Amount

> Calculates trading fees for a given amount and a currency pair



## OpenAPI

````yaml /copper-open-api-public.json get /currencies/{currency}-{mainCurrency}/trading-fees
openapi: 3.1.0
info:
  description: >-
    Copper API is based on the REST API interface provided for data exchange
    between a client and a server with the use of HTTPS requests and responses.

    By default, the request should include a Content-Type header set as
    application/json. Some requests require different header fields, as well as
    other Content-Type values. In this case, a proper header will be stated in
    an example.

    When interacting with the API, please note that all numerical values, such
    as order amounts or timestamps, should be transmitted as strings. This
    ensures consistent data representation and prevents potential issues with
    floating-point precision
  title: Copper Platform API
  version: latest
servers:
  - description: platform.copper.co
    url: https://api.copper.co/platform
  - description: demo.copper.co
    url: https://api.stage.copper.co/platform
  - description: testnet.copper.co
    url: https://api.testnet.copper.co/platform
security: []
tags:
  - name: reports
  - name: deposit-targets
  - name: lending
  - name: portfolios
  - name: wallets
  - name: network
  - name: stake
  - name: blockchain
  - name: organizations
  - name: files
  - name: orders
  - name: address-book
  - name: clearloop
  - name: currencies
paths:
  /currencies/{currency}-{mainCurrency}/trading-fees:
    get:
      tags:
        - currencies
      summary: Currency Trading Fees for Amount
      description: Calculates trading fees for a given amount and a currency pair
      parameters:
        - description: The amount of which will be withdrawn
          example:
            - '0.1'
          in: query
          name: sendAmount
          required: false
          schema:
            type: string
        - in: path
          name: currency
          required: true
          schema:
            type: string
        - in: path
          name: mainCurrency
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FeesLevels'
          description: OK
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - bad-request
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Bad Request
        '403':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - forbidden
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Forbidden
        '409':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - conflict
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Conflict
components:
  schemas:
    FeesLevels:
      properties:
        feesLevels:
          items:
            $ref: '#/components/schemas/FeesLevel'
          type: array
      type: object
    FeesLevel:
      properties:
        currency:
          type: string
        feeLevel:
          $ref: '#/components/schemas/FeeLevel'
          description: '[See details](/enums/FeeLevel)'
        value:
          type: string
      type: object
    FeeLevel:
      enum:
        - low
        - medium
        - high
      type: string

````